Bug 47302 - Adding a new field "Slide Name" in "Insert->Fields"
Summary: Adding a new field "Slide Name" in "Insert->Fields"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: low enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.4.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2012-03-14 04:05 UTC by Muthu
Modified: 2016-09-12 19:18 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
A patch for the SvxPageTitleField in Draw and Impress (15.72 KB, patch)
2013-05-13 23:43 UTC, Joshua Augustin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Muthu 2012-03-14 04:05:33 UTC
It would be desirable to insert "Slide names" instead of slide numbers in slides.
so, having something like "Insert->Fields->Slide Name" would be desirable.

As an extension, a feature similar to writer's "Insert->Fields->Other" could be looked at.

Code references (I only dug up a little): 
http://opengrok.libreoffice.org/xref/core/scripting/workben/bindings/impressmenubar.xml#164
http://opengrok.libreoffice.org/xref/core/sd/inc/sdcommands.h#164
http://opengrok.libreoffice.org/xref/core/sd/uiconfig/simpress/menubar/menubar.xml#147
http://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/UI/DrawImpressCommands.xcu#525
http://opengrok.libreoffice.org/xref/core/sd/sdi/sdraw.sdi#3455

"SID_INSERT_FLD_PAGE": http://opengrok.libreoffice.org/search?q=SID_INSERT_FLD_PAGE&project=core

Getting names:
There are helper functions depending on the context of the code.
Something like SdPage::GetName(...) should do.
Comment 1 Florian Reisinger 2012-05-18 09:35:26 UTC
Deleted "Easyhack" from summary.
Comment 2 Joel Madero 2012-07-02 21:21:47 UTC
Marking this as NEW and LOW Enhancement. Think it's useful for some but ultimately it doesn't add a ton of functionality, just a bit more convenient. Thanks for the suggestion
Comment 3 Muthu 2013-04-29 08:47:16 UTC
I guess multiple people are attempting this one.
So, I thought I should mention these (for more information):
http://nabble.documentfoundation.org/Need-Help-for-Bug-47302-Adding-a-new-field-in-quot-Insert-gt-Fields-quot-td4037243.html
and
http://nabble.documentfoundation.org/Need-Help-for-Bug-47302-tt4047263.html
Comment 4 Joshua Augustin 2013-05-13 23:43:56 UTC
Created attachment 79276 [details]
A patch for the SvxPageTitleField in Draw and Impress

This patch adds the Page Title field, and data relating to it (namely the SvxPageTitleField class). This is my first patch proposal, so let me know if there's anything else I should do, or if you have any comments.
Comment 5 Muthu 2013-05-14 15:53:42 UTC
I see only code removal in the attached patch :( 
Am I missing something please?

A better patch is in
http://nabble.documentfoundation.org/Patch-Bug-47302-Adding-a-new-field-in-quot-Insert-gt-Fields-quot-td4052021.html
Comment 6 Björn Michaelsen 2013-10-04 18:46:15 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 7 Commit Notification 2014-09-24 19:31:53 UTC
Jennifer Liebel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e16c8534f446a7cc311d6d5026aae5457e4f8e6c

fdo#47302: Added insert->fields->page title button



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Mike §chinagl 2014-12-20 22:18:54 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 

New field: Page Title in Insert ▸ Field ▸ Page Title.
Comment 9 Cor Nouws 2015-01-23 16:20:10 UTC
Alas there is a bug in this feature - see issue 88056
Comment 10 Robinson Tryon (qubit) 2015-12-16 00:12:38 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp TopicUi )
[NinjaEdit]
Comment 11 Robinson Tryon (qubit) 2016-02-18 16:37:05 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]